figure(2); clf;

means=mean(pred_RedRank_RMSEs);
mean_GP=mean(pred_GP_RMSEs);
vars=var(pred_RedRank_RMSEs);
var_GP=mean(pred_GP_RMSEs);

tests=length(N_ms);

plot_min=min(means)-max(vars);
plot_min=min(plot_min,mean_GP-max(vars));
plot_max=max(means)+max(vars);
H=area(N_ms,means+vars,plot_min);
hold on;
A=area(N_ms,means-vars,plot_min);
set(H,'FaceColor',[0.7 0.9 0.9]);
H.EdgeColor='none';
A.EdgeColor='none';
hold on;
set(A,'FaceColor',[1 1 1]);
set(A,'HandleVisibility','off');
plot(N_ms,means,'k');
hold on;
plot(N_ms,mean_GP+zeros(tests,1),'--k');
ylim([plot_min plot_max]);

xlabel('Number of basis functions','Interpreter','Latex');
ylabel('RMSE of GP prediction','Interpreter','Latex');
legend({'plus minus one standard deviation','Reduced Rank GP','GP'},'Interpreter','Latex');
