function plot_RR_results(x,x_meas,y_meas,x_test,f_test_RR_pred,f_test_GP_pred,f_RR_pred,f_GP_pred,f_RR_var,f_GP_var)

std_RR=sqrt(diag(f_RR_var));
std_GP=sqrt(diag(f_GP_var));
plot_min=min(min(f_RR_pred),min(f_GP_pred))-max(std_RR);
plot_max=max(max(f_RR_pred),max(f_GP_pred))+max(std_RR);
H=area(x(2:end),f_RR_pred(2:end)+std_RR(2:end),plot_min);
hold on;
A=area(x(2:end),f_RR_pred(2:end)-std_RR(2:end),plot_min);
set(H,'FaceColor',[0.7 0.7 1]);
H.EdgeColor='none';
A.EdgeColor='none';
hold on;
set(A,'FaceColor',[1 1 1]);
p0=plot(x,f_GP_pred,'k');
p1=plot(x,f_RR_pred,'b');
p2=plot(x,f_GP_pred+std_GP,'--k');
plot(x,f_GP_pred-std_GP,'--k');
csz=0.1;
p3=scatter(x_meas,y_meas,csz,'r');
hold off;
ylim([plot_min plot_max]);

end