function [mu, var]=GaussianProcess(x,y,x_s,sigma_y,sigma_SE,l_SE)
N=size(x,2);
K=Kern(x,x,sigma_SE,l_SE);
Ks=Kern(x_s,x,sigma_SE,l_SE);
Kss=Kern(x_s,x_s,sigma_SE,l_SE);
mu=Ks*inv(K+sigma_y^2.*eye(N))*y';
var=Kss-Ks*inv(K+sigma_y^2.*eye(N))*Ks';
end


