function [m,P_m]=LinearModelGP(p,y,sigma_y,N_m,uL1,lL1,uL2,lL2,uL3,lL3,Indices,Lambda)
N=size(p,2);
P_m=Lambda;
m=zeros(N_m,1);

for t=1:N
    phi_t=Phi3D(p(:,t),N_m,uL1,lL1,uL2,lL2,uL3,lL3,Indices);
    S_t=phi_t*P_m*phi_t'+sigma_y^2;
    K_t=P_m*phi_t'*inv(S_t);
    m=m+K_t*(y(t)-phi_t*m);
    P_m=P_m-K_t*S_t*K_t';
    P_m=1/2*(P_m+P_m');
end

end
