figure(1); clf;
means=mean(RMSEsRBPF);
vars=std(RMSEsRBPF);

plot_min=min(means)-max(vars);
plot_max=max(means)+max(vars);
H=area(1:n_noises,means+vars,plot_min);
hold on;
A=area(1:n_noises,means-vars,plot_min);
set(H,'FaceColor',[0.7 0.9 0.9]);
H.EdgeColor='none';
A.EdgeColor='none';
hold on;
set(A,'FaceColor',[1 1 1]);
set(A,'HandleVisibility','off');
plot(1:n_noises,means,'k');
hold on;
ylim([0 1]);

noise_labels={};
for noise_index=1:n_noises
    noise_labels(noise_index)={num2str(noises(noise_index))};
end
xticks(1:n_noises);
xticklabels(noise_labels); 

xlabel('Noise magnitude','Interpreter','Latex');
ylabel('RMSE of RRBPF','Interpreter','Latex');
legend({'plus minus one standard deviation','Reduced Rank GP','GP'},'Interpreter','Latex');
