function RMSE=calculate_RMSE(p,weights,fignr,zupt)

[max_weight,arg_max]=max(weights);
N=size(p,2);

Checkpoint_positions=[0; 0; 0];
step_nr=1;
t_prev=3;
SE=[];
figure(fignr); clf;
p1=plot3(p(1,:,arg_max),p(2,:,arg_max),p(3,:,arg_max),'k');
hold on;
axis equal;
for t=2:N
    if( (zupt(t)==1) && (zupt(t-1)==0) && (t-t_prev)>70)
        t_prev=t;
        step_nr=step_nr+1;
        if step_nr<13
            Checkpoint_positions=[Checkpoint_positions, p(:,t,arg_max)];
            p2=scatter3(p(1,t,arg_max),p(2,t,arg_max),p(3,t,arg_max),'bo');
        else
            prev_step_here=mod(step_nr,12);
            if prev_step_here==0
                prev_step_here=12;
            end
            check=Checkpoint_positions(:,prev_step_here);
            SE=[SE; norm(p(:,t,arg_max)-check)^2];
            p3=scatter3(p(1,t,arg_max),p(2,t,arg_max),p(3,t,arg_max),'ro');
            %plot3([p(1,t,arg_max) check(1)],[p(2,t,arg_max) check(2)],[p(3,t,arg_max) check(3)],'r');
        end
    end
end

xlabel('$x/[m]$','Interpreter','Latex');
ylabel('$y/[m]$','Interpreter','Latex');
zlabel('$z/[m]$','Interpreter','Latex');
legend([p1,p2,p3],{'Estimated trajectory','Initial position estimate checkpoints','Revisitation of checkpoints'},'Interpreter','Latex');

MSE=mean(SE);
RMSE=sqrt(MSE);

end