lL=0; uL=10;
x=lL:0.01:uL;
sigma_SE=1; l_SE=1;
kern_full=Kern(x,x,sigma_SE,l_SE);
[X1,X2]=meshgrid(x,x);


figure(1); clf;
surf(X1,X2,kern_full,'EdgeColor','none');
xlabel('${{x}_1}$','interpreter','latex');
ylabel('${{x}_2}$','interpreter','latex');
hc1=colorbar;
title(hc1,'$\kappa({x}_1,{x}_2)$','Interpreter','Latex');
view(2)

figure(2); clf;
b=2; l=4;
for i=1:b
    for j=1:l
        subplot(b,l,l*(i-1)+j);
        m=l*(i-1)+j;
        kern_red_rank=Phi(x,m,uL,lL)*Lambda(m,sigma_SE,l_SE,uL,lL)*Phi(x,m,uL,lL)';
        surf(X1,X2,kern_red_rank,'EdgeColor','none');
        xlabel('${{x}_1}$','interpreter','latex');
        ylabel('${{x}_2}$','interpreter','latex');
        hc=colorbar;
        %title(hc,['$\sum _{k=1}^{',num2str(m),'} S(\lambda_k) \phi _k(\textbf{x}_1) \phi_k(\textbf{x}_2)$'],'Interpreter','Latex');
        title(['$N_m=',num2str(m),'$'],'interpreter','latex');
        view(2)
    end
end