%The code in this folder contains functions from the open-source code from
%Isaac Skog from the OpenShoe-platform
clear;
Ts=1/100;
u=csvread('CheckpointsXsens2.csv');
u=u(:,1:end);
gamma=3e5;
sigma_a=1;
sigma_g=0.7e-06;
M=1;
zupt=zero_velocity_detector(u,gamma,sigma_a,sigma_g);
trajectory=ZUPTEKF(u,zupt,Ts); N=size(trajectory,2);
drift_x=0.01;
drift_y=0.01;
drift_z=-3;
trajectory=trajectory+[drift_x/N:drift_x/N:drift_x; drift_y/N:drift_y/N:drift_y; drift_z/N:drift_z/N:drift_z;];

figure(1); clf;
plot3(trajectory(1,1:1900),trajectory(2,1:1900),trajectory(3,1:1900));
axis equal;

csvwrite('fake_ground_truth_CheckpointsXsens2.csv',trajectory);